import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

import {
  LocalizationModule,
} from 'angular-l10n';

import {
  PerfectScrollbarModule,
} from 'ngx-perfect-scrollbar';

import { MaterialModule } from 'packages/commons/material/material.module';

import { MenuItemModule } from 'packages/commons/component/menu-item/menu-item.module';

import { SidebarComponent } from './sidebar.component';

@NgModule({
  imports: [
    CommonModule,
    LocalizationModule,
    MaterialModule,
    RouterModule,
    PerfectScrollbarModule,
    MenuItemModule,
  ],
  declarations: [
    SidebarComponent,
  ],
  exports: [
    SidebarComponent,
  ]
})
export class SidebarModule { }
